package org.openxma.dsl.core.injection;

import com.google.inject.Injector;

public class InjectorAccess {
	
	private static Injector injector;
	
	public static void setInjector(Injector aInjector) {
		if (injector != null) {
			throw new RuntimeException("Injector already set: "+injector.getClass().getName());
		}
		injector = aInjector;		
	}
	
	public static Injector getInjector() {
		if (injector == null) {
			throw new RuntimeException("Injector has not been set.");
		}
		return injector;
	}	

}
